<?php // vim: set syntax=css :
header('Content-Type: text/css');
?>
body {
	text-decoration: none;      
	color: #357; 
	font-family: Verdana, Arial, Helvetica, sans-serif; 
	background-color: #fff; 
	margin: 0px; 
}

body, table {/* Why do tables use larger font otherwise? */
	font-size: 11px; 
}

/* default alignment of table cells */
td {vertical-align: top; text-align: left;}

/* no borders on images */
img {border: 0px;}

/* header formatting */
h1, h2, h3, h4, h5, h6 {margin: 0 0 1em 0; padding: 0; font-weight: bold;}
h1                 {font-size: 13px;}
h2, h3, h4, h5, h6 {font-size: 11px;} /* default font size */

/* no margin around forms */
form {margin: 0;}

a {font-weight: bold; text-decoration: none; color: #357;}
a:hover   {text-decoration: underline;} 

/* navigation frame */
a.nav   {font-weight:normal;} /* for links in the backend navigation */
.navigation_body {margin: 1em 1em 1em 0;}
.navigation_body ul { margin-left:5px !important; }
.navigation_body ul li a { padding-left:20px; margin-left:-25px; }
.navigation_body ul li a { display: block; border: 1px solid #357; width: 160px; border-radius: 5px; padding-top: 3px; padding-bottom: 3px; background: #e8ebf0;}
.navigation_body ul li a:hover { text-decoration: none; background: #C9D3DE; }
.navigation_body ul li ul {  margin-top: 3px !important; }
.navigation_body ul li ul li a { display: inline; border: none; background: none; padding-left:17px; margin-left:-17px; position:relative;}
.navigation_body ul li ul li a:hover { text-decoration: underline; background: none; }

/* Warning and Message boxes */
.warning {margin: 1em 0 2em 0; padding: 10px; border: 1px solid #ffa800; background-color: #ffa800; } 
.message {margin: 1em 0 1em 0; padding: 10px; border: 1px solid #ffa800; border-radius: 5px; } 
.message legend {font-size: 11px; color: #ffa800;}
.confirmation {}

/* header on backend pages */ /* FIXME used elsewhere too - remove there */
.header {margin-bottom: 2em;} 

/* CSS for alternating table rows based on javascript */
/* table headers */

table { border-radius: 5px; border-spacing: 0 !important; border-collapse: separate !important; }
table tr td.rightrow td:first-child { padding-left: none !important; } 
table tr td:first-child { padding-left: 10px !important; } 
table tr:first-child th:first-child { border-top-left-radius: 5px; } 
table tr:first-child th:last-child  { border-top-right-radius: 5px; } 
table tr:last-child td:first-child  { border-bottom-left-radius: 5px; } 
table tr:last-child td:last-child   { border-bottom-right-radius: 5px; }

table tr th:first-child,
table tr td:first-child {
   border-left: none !important;
}
table tr th:last-child,
table tr td:last-child {
   border-right: none !important;
}
table th,
table td {
   border-left: none !important;
}

table tr:first-child th,
table tr:first-child td {
   border-top: none;
}

table thead th {
	padding: 0 2em 0 0.5em;
	text-align: left;
}
table thead th span {
	padding: 0 0.2em;
	font-size: 12px;
	font-weight: bold;
	position: relative;
	bottom: 0.7em;
	background: #fff;
	white-space: nowrap;
}

/* settings for both types of table */
table.colored tr.colorlight, 
tr strong.colorlight,
table.ruler tr.colorlight {background: #fff; border-top: 0px;}  

table.colored tr.colordark,
table.ruler tr.colordark,
tr strong.colordark,
.darker {background: #e8ebf0; border-top: 0px; background-image: linear-gradient(top, white 0%, #e8ebf0);}  

table.colored tbody td,
table.ruler tbody td {padding: 0.3em;}

/* width of left and right row of system tables - length of input fields */
.leftrow    {width: 25%;}
.rightrow   {width: 75%;}
.inputwidth {width: 95%;}

/* data tables with ruler */
table.ruler {border-collapse: collapse; border: 1px solid #357; margin-bottom: 3em;} 
table.ruler td {border-left: 1px solid #357; border-right: 1px solid #357;} 
table.ruler th {border-left: 1px solid #357; border-right: 1px solid #357;} 
table.ruler tr {border-top: 1px solid #357;}
table tbody tr.selected,
table.ruler tr.ruled {background: #C9D3DE; border-top: 0px;} 

/* alternating colored tables */
table.colored {border-collapse: collapse; border: 1px solid #357; margin-bottom: 3em;} 
table.colored tr {border-top: 1px solid #357;}

/* FIXME the active article in version view */
table tbody tr.table_system_active {background: #C9D3DE; border-top: 0px;} 

/* form elements */
input.text, select {margin: 2px 0; border: 1px solid #b1c1d0; color: #294867; padding: 0; }
input.checkbox {margin: 1px 0 1px 0;  border-radius: 5px; padding: 3px;}

fieldset { position: relative; border: 1px solid #357; padding: 0.5em; margin: 0;  border-radius: 5px; padding-top:15px; margin-top: 15px !important;}
legend {color: #357; font-size: 12px; font-weight: bold;}
/*textarea, .iframe, iframe {border: 1px solid #b1c1d0; background-color: #fff;}*/
fieldset > legend, fieldset.message > legend {
    padding:2px 4px;
    background:#fff;
    float:left;
    margin-top:-20px;
}
.darker legend { background: #e8ebf0; }

input, textarea, select, iframe { border: 1px solid #b1c1d0; border-radius: 5px; padding: 2px 5px !important; background: #f8f8f8; }
input::-ms-browse, input::-ms-check { border: 1px solid #b1c1d0; border-radius: 5px; padding: 2px !important; background: #f8f8f8; }
input:focus, textarea:focus, select:focus, iframe:focus, .buttonRaised:hover, input.button:hover { background: #fff; border: 1px solid #357; }
input[type=image] { border: none; background: none; }
input[type=file] { border: none; background: none; }
input.button, input[type=submit] { font-weight: bold; border: 1px solid #b1c1d0; border-radius: 10px; padding: 10px 20px !important; background: #e8ebf0; cursor: pointer; color: #357; }
/* editor */
.buttonRaised, .buttonLowered { border: 1px solid #b1c1d0 !important; margin: 2px !important; border-radius: 3px; background: #e8ebf0; }
.buttonLowered { background: #fff; }

/* add help icon on help areas */
.help {cursor: help;}

/* DEBUG hover-effect */
.debug {position: relative; top: 0; left: 0; color: #a00; background-color: #fcc; font-weight: bold;}
.debug span:hover {color: #fcc; background: #a00; border: 0px;}
.debug span span {display: none;}
.debug span:hover span {
	display: block;
	min-width: 250px;
	font-weight: normal;
	position: absolute;
	top: 13px;
	left: 0;
	padding: 0.5em;
	background: #fcc;
	color: #a00;
	border: 1px solid #a00;
	font-size: 10px;
	z-index: 100;
}

/* color of placeholders in template editor */
.placeholder {
	color: #f00;
}

/* .pic {width: 18px; height: 21px;} */

.pager {font-size: 10px; margin-top: -1em; text-align: center; background: #C9D3DE; border: 1px solid #357; border-radius: 5px; padding-bottom: 5px;}
.pager .active {color: #ffa800;}
.pager .passive {color: #b1c1d0;}

#titleBody {background: url(xframe_title_background.gif) repeat-x;}
#titleLogo {position: absolute; top: 0; right: 0;}
#titleBar1 {background: white; height: 60px; position: relative; margin-bottom:10px; font-size: 12px; } /* project, login and date */
#titleBar1 div { left: 31px !important; } /* project, login and date */
#titleBar2 {background: #C9D3DE; padding: 6px 110px 6px 25px; border: 1px solid #357; border-radius: 5px; font-size: 14px; font-weight: bold; margin: 0 5px; height:30px; }      /* rubric information */
#titleBar2 select { font-size: 16px; }      /* rubric information */
/*#titleBar2, #titleBar2 a {color: #fff;}*/        /* dark background in header frame */

#previewSelectorBody {border-bottom: 5px solid #357;}
#previewSelector {}
#previewContent {}
option[disabled] {color: #aaa;}

#bse_iFrame { width: 99% !important; border: 1px solid #b1c1d0 !important; }